Delete group
curl --request POST \
--url https://gengen.farm/api/gengen/v1/assets/groups/delete \
--header 'Authorization: Bearer gengen_live_xxxxxxxxxxxxxxxx' \
--header 'Content-Type: application/json' \
--data '{
"Id": "group-20260424-abc"
}'import requests
url = "https://gengen.farm/api/gengen/v1/assets/groups/delete"
payload = { "Id": "group-20260424-abc" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({Id: 'group-20260424-abc'})
};
fetch('https://gengen.farm/api/gengen/v1/assets/groups/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"ResponseMetadata": {
"RequestId": "20260328000000000000000000000000",
"Action": "DeleteAssetGroup",
"Version": "2024-01-01",
"Service": "ark",
"Region": "ap-southeast-1"
},
"Result": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}Assets API
Delete an asset group
Permanently delete a group and all its assets; deletion is irreversible and real-person authorization must permit it.
POST
/
assets
/
groups
/
delete
Delete group
curl --request POST \
--url https://gengen.farm/api/gengen/v1/assets/groups/delete \
--header 'Authorization: Bearer gengen_live_xxxxxxxxxxxxxxxx' \
--header 'Content-Type: application/json' \
--data '{
"Id": "group-20260424-abc"
}'import requests
url = "https://gengen.farm/api/gengen/v1/assets/groups/delete"
payload = { "Id": "group-20260424-abc" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({Id: 'group-20260424-abc'})
};
fetch('https://gengen.farm/api/gengen/v1/assets/groups/delete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"ResponseMetadata": {
"RequestId": "20260328000000000000000000000000",
"Action": "DeleteAssetGroup",
"Version": "2024-01-01",
"Service": "ark",
"Region": "ap-southeast-1"
},
"Result": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}{
"error_code": "<string>",
"error": "<string>",
"error_params": {}
}Authorizations
A workspace API key beginning with gengen_live_.
Body
application/json
Provider resource ID or supported GENGEN workspace-local ID.
Minimum string length:
1⌘I